Megosztás a következőn keresztül:


Server Azure AD Only Authentications - List By Server

Megkapja a szerverek Azure Active Directory hitelesítéseinek listáját.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/azureADOnlyAuthentications?api-version=2025-01-01

URI-paraméterek

Name In Kötelező Típus Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

serverName
path True

string

A kiszolgáló neve.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

AzureADOnlyAuthListResult

A kérés sikeres volt.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2 Flow.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Gets a list of Azure Active Directory only authentication object.

Mintakérelem

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/azureADOnlyAuthentications?api-version=2025-01-01

Mintaválasz

{
  "value": [
    {
      "name": "Default",
      "type": "Microsoft.Sql/servers/azureadonlyauthentications",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/azureadonlyauthentications/default",
      "properties": {
        "azureADOnlyAuthentication": true
      }
    }
  ]
}

Definíciók

Name Description
AzureADOnlyAuthListResult

Csak az Active Directory-hitelesítések listája.

createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

ServerAzureADOnlyAuthentication

Azure Active Directory only authentication.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

AzureADOnlyAuthListResult

Csak az Active Directory-hitelesítések listája.

Name Típus Description
nextLink

string

Hivatkozás az eredmények következő oldalának lekéréséhez.

value

ServerAzureADOnlyAuthentication[]

Eredménytömb.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

ServerAzureADOnlyAuthentication

Azure Active Directory only authentication.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties.azureADOnlyAuthentication

boolean

Azure Active Directory csak hitelesítés engedélyezve.

systemData

systemData

Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz.

type

string

Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok"

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.